hplip version 3.17

Forum rules
Before you post please read this
Post Reply
sambler
Level 1
Level 1
Posts: 8
Joined: Mon Jul 20, 2009 7:11 am

hplip version 3.17

Post by sambler » Sat Jan 20, 2018 2:56 pm

Is there a chance that the hplip package (currently at version 3.16.3) will be upgraded to version 3.17.x in Sylvia? I have an HP OfficeJet Pro 8710 all-in-one. The CUPS printer driver works fine but the scanner is not detected. Version 3.17.x in Ubuntu 17.10 detects the scanner with no problems. I've downloaded the hplip-3.17.run shell program from the HP web site. The installation program chokes because it claims that another package manager is running, which is not the case. I can scan using VueScan or using my Android tablet, but it should be easy to put together a package for 3.17.x. Are there dependency problems? Thanks

User avatar
karlchen
Level 19
Level 19
Posts: 9062
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: hplip version 3.17

Post by karlchen » Sat Jan 20, 2018 7:16 pm

Hi, sambler.

I cannot give a valid answer to your question whether there is a chance that hplip 3.17 will be backported from Ubuntu 17.10 to Ubuntu 16.04, which would it make available to Mint 18.x as well.

What I can do is point you to this post, RE: Help needed to HP Deskjet F4580, where you will find 2 links,
  • one which points to an instruction on how to install the genuine HPLIP 3.17.x software, downloaded from the HP website.
  • one which points to an instruction on how to make the HPLIP 3.16.3 software from the Ubuntu repo work.
    Depending on your printer/scanner model 3.16.3 may really not be good enough for your model. It works for my HP Color Laser Jet pro MFP M277dw though.)
Best regards,
Karl
Image
Old bugs good, new bugs bad! Updates are evil: might fix old bugs and introduce no new ones.

sambler
Level 1
Level 1
Posts: 8
Joined: Mon Jul 20, 2009 7:11 am

Re: hplip version 3.17

Post by sambler » Sat Jan 20, 2018 9:50 pm

Thank you Karl. This is most helpful. I'll let you know if it works.

sambler
Level 1
Level 1
Posts: 8
Joined: Mon Jul 20, 2009 7:11 am

Re: hplip version 3.17

Post by sambler » Sat Jan 20, 2018 11:29 pm

Karl,

Unfortunately your solutions didn't work, but I've finally got things working. For anyone else whose printer is not supported under hplip-3.16.3, this may help.

By looking around on the HP Linux printing site, I found that hplip-3.16.5 is the earliest version of that program that has support for the OfficeJet Pro 8720. The following page contains release notes in reverse chronological order:

https://developers.hp.com/hp-linux-imag ... ease_notes

Search for the model of your printer to see which is the earliest version of the program with support for your model.

I downloaded and reran the installation program:

sudo ./hplip-3.16.5.run

I ignored the warnings not to run the program as root. After some dependency checks it again printed out this error:

A package manager '[mmcqd/1rpmb] ' appears to be running. Please quit the package manager and press enter to continue (i=ignore, r=retry*, f=force, q=quit) :

It's a mystery to me why it thinks that the mmcqd process is a package installer. Looking around on the net, it seems that this process has something to do with managing ssd cards. In any case, I just hit "i"=ignore, and after a few minutes it had finished installing the program and drivers.

Now, hp-setup detects the printer over my local network and installs the proper drivers. I can print and now also scan documents using simple-scan.

Post Reply

Return to “Printers & Scanners”